--
-- Lua MaoDireita
--
-- @author: Hugo94Fr
-- @date: 13/09/2015
-- @time: 23h11

MaoDireita = {};

function MaoDireita.prerequisitesPresent(specializations)
    return true;
end;

function MaoDireita:load(savegame)
    self.Mao1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.characterNode#MaoDireita"));
end;

function MaoDireita:postLoad(xmlFile)
    if self.Mao1 ~= nil then
        setVisibility(self.Mao1, false);
    end;
end;

function MaoDireita:delete()
end;

function MaoDireita:readStream(streamId, connection)
end;

function MaoDireita:writeStream(streamId, connection)
end;

function MaoDireita:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
end;

function MaoDireita:getSaveAttributesAndNodes(nodeIdent)
end;

function MaoDireita:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MaoDireita:keyEvent(unicode, sym, modifier, isDown)
end;

function MaoDireita:update(dt)
end;

function MaoDireita:updateTick(dt)
end;

function MaoDireita:draw()
end;

function MaoDireita:onEnter()
    if self.Mao1 ~= nil then
        setVisibility(self.Mao1, true);
    end;
end;

function MaoDireita:onLeave()
    if self.Mao1 ~= nil then
        if self.disableCharacterOnLeave then
            setVisibility(self.Mao1, false);
        else
            setVisibility(self.Mao1, true);
        end;
    end;
end;
